> For the complete documentation index, see [llms.txt](https://docs.pylenium.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pylenium.io/element-commands/actions/click.md).

# click

## Syntax

```python
Element.click() -> Pylenium
Element.click(force=False) -> Pylenium
```

## Usage

{% code title="correct usage" %}

```python
py.get("a").click()

---or--- # chain a Pylenium command

py.get("a").click().wait.until(lambda _: py.title == "New Page")
```

{% endcode %}

{% code title="incorrect usage" %}

```python
# Errors, 'click' yields Pylenium, not Element
py.get("a").click().text()
```

{% endcode %}

## Arguments

* <mark style="color:purple;">`force=False (bool)`</mark> - If **True**, a JavascriptExecutor command is sent instead of Selenium's native `.click()`

## Yields

* <mark style="color:orange;">**Pylenium**</mark> - The current instance of Pylenium so you can chain commands.

## Examples

Given this HTML:

```html
<div class="example">
  <button onclick="addElement()">Add Element</button>
  <hr>
  <div id="elements">
    <button class="added-manually" onclick="deleteElement()">Delete</button></div>
</div>
```

We can click to add another element and click to delete them:

```python
URL = "https://the-internet.herokuapp.com/add_remove_elements/"
ADD_BUTTON = "[onclick='addElement()']"
DELETE_BUTTON = "[onclick='deleteElement()']"

def test_click_to_add_and_delete(py: Pylenium):
    py.visit(URL)
    py.get(ADD_BUTTON).click()
    py.get(DELETE_BUTTON).click()
    assert py.should().not_find(DELETE_BUTTON)
```

{% hint style="info" %}
Give it a try yourself! <https://the-internet.herokuapp.com/add_remove_elements/>
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pylenium.io/element-commands/actions/click.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
